Back to Mobile View

Skip to Content

Tag: MinimumRequirements

Mountain Lion drops support for several older Mac models (Updated)

Every new version of OS X comes with harsh news for owners of older Macs: "Your Mac is too old. You're stuck with your current OS. Forever." For Mac OS X Leopard in 2007, anyone who owned a Mac with a processor slower than 867 MHz was stuck with Tiger. In 2009, Snow Leopard made the biggest (and...

Continue Reading

© 2014 AOL Inc. All Rights Reserved.